GeographicLib: Geod3ODE.cpp File Reference

GeographicLib 2.7

Loading...
Searching...
No Matches
Geod3ODE.cpp File Reference

Command line utility for using an ODE solver for geodesics on a triaxial ellipsoid. More...

`#include <iostream>`
`#include <iomanip>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/Math.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/Angle.hpp>`
`#include "TriaxialGeodesicODE.hpp"`

Go to the source code of this file.

## Functions
std::string | ErrorString (real err, int prec)
int | usage (int retval, bool)
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for using an ODE solver for geodesics on a triaxial ellipsoid.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Use "Geod3ODE --help" for brief documentation.

Definition in file Geod3ODE.cpp.

## Function Documentation

## ◆ ErrorString()

std::string ErrorString | ( | real | err,
|  | int | prec )

Definition at line 35 of file Geod3ODE.cpp.

Referenced by main().

## ◆ usage()

int usage | ( | int | retval,
|  | bool | )

Definition at line 41 of file Geod3ODE.cpp.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 94 of file Geod3ODE.cpp.

References GeographicLib::AngleT< Math::real >::AzimuthString(), GeographicLib::AngleT< Math::real >::DecodeAzimuth(), GeographicLib::AngleT< Math::real >::DecodeLatLon(), ErrorString(), GeographicLib::Math::extra_digits(), GeographicLib::Utility::fract(), GeographicLib::AngleT< Math::real >::LatLonString(), GeographicLib::Math::NaN(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), GeographicLib::Constants::Triaxial_Earth_a(), GeographicLib::Constants::Triaxial_Earth_b(), GeographicLib::Constants::Triaxial_Earth_c(), usage(), and GeographicLib::Utility::val().